/* global registerGlobalBackward, DataProviderFacade, BackwardUtility */

registerGlobalBackward('4.3.32', function (theme) {
    'use strict';

    if (theme.constructorName !== 'Theme') return theme;

    if (DataProviderFacade.getCmsInfo().cmsName === 'PrestaShop') {
        theme.prototypes.customCmsInfo = BackwardUtility.getControlObject('CustomCmsInfo');
    }

    return theme;
});
